body {
    margin: 0px;
    display: grid;
}

body {
    margin: 0px;
    display: grid;
}

.highlight {
    transition: border-color 0.5s ease;
    outline: 4px solid #FA6900;
    border-radius: 1px;
}

@media (min-width: 1701px) {
    .sidebar-info:hover {
        background-color: #80BBE4;
        cursor: pointer;
    }

    .sidebar-info:hover * {
        opacity: 1;
        cursor: pointer;
    }

    .sidebar-info {
        line-height: 30px;
        transition: 1s;
        box-shadow: #72B4E2 0px 5px 30px 5px;
        height: fit-content;
        padding: 30px;
        width: 80%;
        background-color: #CBE9FD;
        border-radius: 50px;
        margin-left: auto;
        margin-right: auto;
        align-items: center;
        justify-items: stretch;
        align-content: center;
    }

    .sidebar-chat-link-container {
        transition: 1s;
        box-shadow: #72B4E2 0px 5px 30px 5px;
        text-align: center;
        height: fit-content;
        padding: 10px;
        width: 80%;
        background-color: #CBE9FD;
        border-radius: 50px;
        margin-left: auto;
        margin-right: auto;
        align-content: center;
        margin-top: 30px;
        &:hover {
            background-color: #80BBE4;
            cursor: pointer;
        }
    }
    .sidebar-chat-link-container:hover * {
        cursor: pointer;
    }

    .other-article-sidebar {
        line-height: 2;
        z-index: 0;
        position: absolute;
        right: 2.5%;
        height: 165px;
        top: 200px;
        width: 350px;


    }

    #other-menu {
        width: 100%;
    }

    #other-menu td:hover {
        background-color: #DBEEFF;
        cursor: pointer;
    }

    #other-menu td {
        border: solid #BFD7ED;
        padding-left: 15px;
        padding-right: 15px;
    }

    .grid {
        display: grid;
        grid-template-rows: auto auto auto auto;
        justify-self: center;
        margin-bottom: 5vh;
        max-width: 1440px;
    }

    .article_container {
        padding-right: 80px;
        padding-left: 20px;
        margin: auto;
        width: 1000px;
        line-height: 25px;
        min-height: 400px;
    }

    .contents_container_links {
        color: black;
        font-weight: 600;
        font-size: medium;

    }

    .breadcrumb {
        margin: auto;
    }

    h1, h2 {
        font-family: Vollkorn;
        font-size: 2em;
        text-align: center;
        color: #2C3759;
        margin: auto;
        margin-top: 2%;
        margin-bottom: 2%;
    }

    p {
        font-family: Roboto;
        font-style: normal;
        font-weight: normal;
        font-size: 1.4em;
        line-height: 30px;
        justify-self: center;
        text-align: justify;
        margin: auto;
        margin-bottom: 5px;
    }

    .article_container #blockquote {
        text-align: center;
    }

    .article_container ul {
        margin: auto;
    }

    .article_container ul li:not(.article_container .breadcrumb ul li ) {
        font-family: Roboto;
        font-size: 1.4em;
        line-height: 25px;
        margin-bottom: 10px;
    }

    p:has(>.in_img) {
        background-color: #f5f5f5;
        padding-top: 4px;
        padding-bottom: 4px;
        margin-top: 1%;
        margin-bottom: 1%;
    }

    img {
        margin: auto;
        display: block;
    }

    .article_image {
        width: 100%;
    }

    .article_img_cont {
        max-width: 1000px;
        margin: auto;
    }

    p:has(> iframe) {
        max-width: 1000px;
        height: auto;
    }

    iframe {
        display: flex;
        margin-left: auto;
        margin-right: auto;
    }

    .date {
        text-align: center;
        font-family: Vollkorn;
        font-size: 15px;
        line-height: 21px;
        font-feature-settings: 'tnum' on, 'lnum' on;
    }

    .views {
        text-align: right;
        font-size: 14px;
        font-weight: bold;
        width: 75%;
    }

    .try_button {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 50px;
        margin-top: 50px;

    }

    #button_screen {
        display: grid;
        grid-template-columns: 1fr;
        grid-auto-rows: 1fr;
        position: absolute;
        width: 289px;
        align-items: center;
        height: 64px;
        /* top: 254px;*/
        /* #FA6900 */
        align-self: center;
        background: #FA6900;
        border-radius: 32px;
    }

    #button_screen span {
        color: #FFFFFF;
        font-family: Montserrat;
        font-style: normal;
        font-weight: 800;
        font-size: 12px;
        line-height: 15px;
        /* identical to box height */

        display: flex;
        align-self: center;
        text-align: center;
        text-transform: uppercase;
        justify-self: center;

    }

    .mobile-other-article-sidebar {
        display: none;
    }

    .details {
        text-align: center;
        font-weight: bold;
        font-size: 12px;
    }
}

@media (min-width: 1025px) and (max-width: 1700px) {
    .sidebar-info:hover {
        display: none;
    }

    .sidebar-info {
        display: none;
    }

    .other-article-sidebar {
        display: none;
    }

    #other-menu {
        display: none;
    }

    #other-menu td {
        display: none;
    }

    .grid {
        display: grid;
        grid-template-rows: auto auto auto auto;
        justify-self: center;
        margin-bottom: 5vh;
        max-width: 1440px;
    }

    .article_container {
        padding-right: 80px;
        padding-left: 20px;
        margin: auto;
        width: 1000px;
        line-height: 25px;
        min-height: 400px;
    }

    .contents_container_links {
        color: black;
        font-weight: 600;
        font-size: medium;

    }

    .breadcrumb {
        margin: auto;
    }

    h1, h2 {
        font-family: Vollkorn;
        font-size: 2em;
        text-align: center;
        color: #2C3759;
        margin: auto;
        margin-top: 2%;
        margin-bottom: 2%;
    }

    p {
        font-family: Roboto;
        font-style: normal;
        font-weight: normal;
        font-size: 1.4em;
        line-height: 30px;
        justify-self: center;
        text-align: justify;
        margin: auto;
        margin-bottom: 5px;
    }

    .article_container #blockquote {
        text-align: center;
    }

    .article_container ul {
        margin: auto;
    }

    .article_container ul li:not(.article_container .breadcrumb ul li ) {
        font-family: Roboto;
        font-size: 1.4em;
        line-height: 25px;
        margin-bottom: 10px;
    }

    p:has(>.in_img) {
        background-color: #f5f5f5;
        padding-top: 4px;
        padding-bottom: 4px;
        margin-top: 1%;
        margin-bottom: 1%;
    }

    img {
        margin: auto;
        display: block;
    }

    .article_image {
        width: 100%;
    }

    .article_img_cont {
        max-width: 1000px;
        margin: auto;
    }

    p:has(> iframe) {
        max-width: 1000px;
        height: auto;
    }

    iframe {
        display: flex;
        margin-left: auto;
        margin-right: auto;
    }

    .date {
        text-align: center;
        font-family: Vollkorn;
        font-size: 15px;
        line-height: 21px;
        font-feature-settings: 'tnum' on, 'lnum' on;
    }

    .views {
        text-align: right;
        font-size: 14px;
        font-weight: bold;
        width: 75%;
    }

    .try_button {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 50px;
        margin-top: 50px;

    }

    #button_screen {
        display: grid;
        grid-template-columns: 1fr;
        grid-auto-rows: 1fr;
        position: absolute;
        width: 289px;
        align-items: center;
        height: 64px;
        /* top: 254px;*/
        /* #FA6900 */
        align-self: center;
        background: #FA6900;
        border-radius: 32px;
    }

    #button_screen span {
        color: #FFFFFF;
        font-family: Montserrat;
        font-style: normal;
        font-weight: 800;
        font-size: 12px;
        line-height: 15px;
        /* identical to box height */

        display: flex;
        align-self: center;
        text-align: center;
        text-transform: uppercase;
        justify-self: center;

    }

    .mobile-other-article-sidebar {
        display: none;
    }

    .details {
        text-align: center;
        font-weight: bold;
        font-size: 12px;
    }
}

@media (min-width: 601px) and (max-width: 1024px) {
    .sidebar-info {
        display: none;
    }

    .other-article-sidebar {
        display: none;
    }

    .mobile-other-article-sidebar {
        display: block;
    }

    .mobile-other-article-sidebar #other-menu {
        width: 100%;

    }

    .mobile-other-article-sidebar #other-menu th {
        font-size: large;
    }

    .mobile-other-article-sidebar #other-menu td {
        border: solid #BFD7ED;
        padding-left: 15px;
        padding-right: 15px;
        font-size: large;
        line-height: 3;
    }

    .grid {
        display: grid;
        grid-template-rows: auto auto auto;
        justify-self: center;
        margin-bottom: 5vh;
    }

    .breadcrumb {
        margin: auto;
    }

    .article_container {
        padding-right: 20px;
        padding-left: 20px;
        margin: auto;
        width: 90vw;
        line-height: 25px;
    }

    h1, h2 {
        font-family: Vollkorn;
        font-size: 2em;
        color: #2C3759;
        margin: auto;
        text-align: center;
        margin-bottom: 40px;
        margin-top: 40px;
    }

    p {
        font-family: Roboto;
        font-size: 1.6em;
        line-height: 30px;
        justify-self: center;
        text-align: justify;
        margin: auto;
        margin-bottom: 10px;
    }

    .article_container ul {
        margin: auto;
        margin-bottom: 10px;
    }

    .article_container ul li:not(.article_container .breadcrumb ul li ) {
        font-family: Roboto;
        font-size: 1.5em;
        line-height: 30px;
        margin-bottom: 10px;
    }

    p:has(>.in_img) {
        background-color: #f5f5f5;
        padding-top: 4px;
        padding-bottom: 4px;
        margin-top: 1%;
        margin-bottom: 1%;
    }

    iframe {
        display: flex;
        margin: auto;
        width: 500px;
        height: 285px;
    }

    .article_container #blockquote {
        text-align: center;
        max-width: 100%;
    }

    img {
        margin: auto;
        display: block;
        max-width: 100%;
        height: auto;
    }

    .article_image {
        max-width: 100%;
    }

    .date {
        text-align: center;
        font-family: Vollkorn;
        font-size: 15px;
        line-height: 21px;
        font-feature-settings: 'tnum' on, 'lnum' on;
    }

    .views {
        text-align: right;
        font-size: 14px;
        font-weight: bold;
        width: 75%;
    }

    .try_button {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 50px;
        margin-top: 50px;
    }

    #button_screen {
        display: grid;
        grid-template-columns: 1fr;
        grid-auto-rows: 1fr;
        position: absolute;
        width: 289px;
        align-items: center;
        height: 64px;
        align-self: center;
        background: #FA6900;
        border-radius: 32px;
    }

    #button_screen span {
        color: #FFFFFF;
        font-family: Montserrat;
        font-style: normal;
        font-weight: 800;
        font-size: 12px;
        line-height: 15px;
        display: flex;
        align-self: center;
        text-align: center;
        text-transform: uppercase;
        justify-self: center;
    }

    .try_button {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 50px;
        margin-top: 50px;

    }

    #button_screen {
        display: grid;
        grid-template-columns: 1fr;
        grid-auto-rows: 1fr;
        position: absolute;
        width: 289px;
        align-items: center;
        height: 64px;
        /* top: 254px;*/
        /* #FA6900 */
        align-self: center;
        background: #FA6900;
        border-radius: 32px;
    }

    #button_screen span {
        color: #FFFFFF;
        font-family: Montserrat;
        font-style: normal;
        font-weight: 800;
        font-size: 12px;
        line-height: 15px;
        /* identical to box height */

        display: flex;
        align-self: center;
        text-align: center;
        text-transform: uppercase;
        justify-self: center;

    }

    img {
        width: 100%;
        height: auto;
    }

    .docs-section {
        width: 100%;
    }

    .details {
        text-align: center;
        font-weight: bold;
        font-size: 12px;
    }
}

@media (max-width: 600px) {
    .sidebar-info {
        display: none;
    }

    .other-article-sidebar {
        display: none;
    }

    .mobile-other-article-sidebar {
        display: block;
    }

    .mobile-other-article-sidebar #other-menu {
        width: 100%;

    }

    .mobile-other-article-sidebar #other-menu th {
        font-size: large;
    }

    .mobile-other-article-sidebar #other-menu td {
        border: solid #BFD7ED;
        padding-left: 15px;

        padding-right: 15px;
        font-size: large;
        line-height: 3;
    }

    #other-menu a {
        color: black;
    }

    .grid {
        display: grid;
        grid-template-rows: auto auto auto;
        justify-self: center;
        margin-bottom: 5vh;
    }

    .breadcrumb {
        margin: auto;
    }

    .article_container {
        padding-right: 20px;
        padding-left: 20px;
        margin: auto;
        width: 95vw;
    }

    h1, h2 {
        font-family: Vollkorn;
        font-size: 2em;
        text-align: center;
        color: #2C3759;
        margin-bottom: 20px;
        margin-top: 20px;
    }

    p {
        font-family: Roboto;
        font-style: normal;
        font-weight: normal;
        font-size: 1.2em;
        line-height: 24px;
        justify-self: center;
        text-align: justify;
    }

    img {
        margin: auto;
        display: block;
        max-width: 85vw;
        height: auto;
    }

    .article_container ul li:not(.article_container .breadcrumb ul li ) {
        font-family: Roboto;
        font-size: 1.2em;
        line-height: 25px;
        margin-bottom: 10px;
    }

    p:has(>.in_img) {
        margin-top: 1%;
        margin-bottom: 1%;
    }

    p:has(> iframe) {
        max-width: 95vw;
        height: auto;
        margin: auto;
    }

    iframe {
        margin: auto;
        width: 100%;
        height: 30vh;
    }

    .try_button {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 50px;
        margin-top: 50px;
    }

    #button_screen {
        display: grid;
        grid-template-columns: 1fr;
        grid-auto-rows: 1fr;
        position: absolute;
        width: 289px;
        align-items: center;
        height: 64px;
        align-self: center;
        background: #FA6900;
        border-radius: 32px;
    }

    #button_screen span {
        color: #FFFFFF;
        font-family: Montserrat;
        font-style: normal;
        font-weight: 800;
        font-size: 12px;
        line-height: 15px;
        display: flex;
        align-self: center;
        text-align: center;
        text-transform: uppercase;
        justify-self: center;
    }

    .details {
        text-align: center;
        font-weight: bold;
        font-size: 12px;
    }
}